import { request } from 'umi';

export default {
    //获取预定人员
    GetReservationUser(data) {
        return request('/kitchen/api/Reservation/GetReservationUser', {
            method: 'POST',
            data
        });
    },

    //获取预定商品
    GetReservationGoods(data) {
        return request('/kitchen/api/Reservation/GetReservationGoods', {
            method: 'POST',
            data
        });
    },
    //获取预定商品
    GetReservationGoodsDetailed(data) {
        return request('/kitchen/api/Reservation/GetReservationGoodsDetailed', {
            method: 'POST',
            data
        });
    },
    //获取人员预定详情
    GetReservationUserGoods(data) {
        return request('/kitchen/api/Reservation/GetReservationUserGoods', {
            method: 'POST',
            data
        });
    },


    /**
     * 获取部门分页
     */
    GetDeparent(data) {
        return request('/kitchen/api/member-tag/member-tag', {
            method: 'POST',
            data
        });
    },

    /**
     * 获取预定商品Excel
     * @param {*} data
     * @returns
     */
    GetReservationGoodsExcel(data) {
        return request('/kitchen/api/Reservation/GetReservationGoodsExcel', {
            method: 'POST',
            responseType: 'blob',
            data
        });
    },

    /**
     * 获取预定人员Excel
     * @param {*} data
     */
    GetReservationUserExcel(data) {
        return request('/kitchen/api/Reservation/GetReservationUserExcel', {
            method: 'POST',
            responseType: 'blob',
            data
        });
    },
    /**
     * 获取预定人员Excel
     * @param {*} data
     */
    GetReservationOrgExcel(data) {
        return request('/kitchen/api/Reservation/GetReservationOrgExcel', {
            method: 'POST',
            responseType: 'blob',
            data
        });
    },
    /**
     * 获取预定人员Excel
     * @param {*} data
     */
    GetReservationGoodsDetailedExcel(data) {
        return request('/kitchen/api/Reservation/GetReservationGoodsDetailedExcel', {
            method: 'POST',
            responseType: 'blob',
            data
        });
    },
    GetReservationOrg(data) {
        return request('/kitchen/api/Reservation/GetReservationOrg', {
            method: 'POST',
            data
        });
    },
}
